@echo off
echo off
verify on
title De-Installer fr AntiLink+VirScanPlus
color 1f


cls
echo.
rem  ----------------------------------------------------------------
echo DEINSTALL, Deinstallationsprogramm fr AntiLink und VirScan Plus
echo ~~~~~~~~~  (C)opyr. 1992-2026 by ROSE SWE, Dipl.-Ing. Ralph Roth
echo.
echo $Id: deinstal.bat,v 1.32 2025/12/23 17:15:26 ralph Exp $
if "%1" == "" goto usage
echo.
echo                            ΪΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΏ
echo ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ³ DEINSTALLATION ³ΫΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
echo                            ΐΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΩΫ
echo                             ίίίίίίίίίίίίίίίίίί
echo.
echo   ACHTUNG: Das Programmpaket AntiLink bzw. VirScan Plus wird jetzt aus dem
echo   Verzeichnis: '%1' entfernt.
echo.
echo   ACHTUNG!    Sind Sie sich absolut sicher? Datenverlust!     ACHTUNG!
echo               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo.
echo   Falls Sie dies nicht wollen, so drcken Sie jetzt die Tasten-
echo   kombination CRTL-C bzw. STRG-C. Jede andere Taste, um die Deinstallation
echo   zu beginnen.  Bitte jetzt entsprechende Taste drcken.
echo.
echo ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
echo.

if exist %1\virscan.exe goto FileIsThere
echo Das Programm VirScan befindet sich nicht im Verzeichnis: '%1'
echo Die Deinstallation wurde sicherheitshalber abgebrochen!
goto the_end

:FileIsThere
pause
echo Zurcksetzen aller Dateiattribute
cd %1
attrib -r -h -s %1 /s
cls

echo Entfernen des AntiLink/VirScan Paketes . . .
echo Lschvorgang kann mit STRG-C bzw. CTRL-C unterbrochen werden!
cd \
if exist antilink.dat del antilink.dat %2
if exist bootvir.dat del bootvir.dat %2
if exist c:\antilink.dat del c:\antilink.dat %2
if exist c:\bootvir.dat del c:\bootvir.dat %2

echo Lschen des Verzeichnis '%1\doku'...
cd %1\doku
for %%a in (*.*) do del %%a %2
cd..
rmdir doku>nul
echo Lschen des Verzeichnis '%1\url'...
cd %1\url
for %%a in (*.*) do del "%%a" %2
cd..
rmdir url>nul

if not exist sonstige\*.exe goto bypass_sonst
echo Lschen des Verzeichnis '%1\sonstige'...
cd %1\sonstige
for %%a in (*.*) do del %%a %2
cd..
rmdir sonstige>nul

:bypass_sonst
echo Lschen des Verzeichnis '%1\tools'...
cd tools
for %%a in (*.*) do del %%a %2
cd..
rmdir tools>nul

rem Hier entsteht bei Verwendung von DR-DOS v3-6 ein Fehler!!!
if not exist grintro\nul goto NoGrintro

echo Lschen des Verzeichnis '%1\grintro'...
cd grintro
for %%a in (*.*) do del %%a %2
cd..
rmdir grintro>nul

:NoGrintro
echo Lschen des Verzeichnis '%1'...
for %%a in (*.*) do del %%a %2
cd\
rmdir %1>nul
echo Deinstallation beendet.
pause
goto the_end

:usage

echo ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
echo DEINSTALL, entfernt das Virensuchprogramm VirScan Plus und/oder AntiLink
echo aus einem Verzeichnis Ihrer Wahl. Rufen Sie hierzu DEINSTALL mit dem
echo Verzeichnis Ihrer Wahl auf. Auf die Verzeichnisangabe darf kein '\' folgen.
echo.
echo Standardmαig ist das Programm in C:\VIRSCAN bzw. C:\ANTILINK installiert.
echo Falls Sie wnschen, kann mit dem Parameter /p vor jedem Lschen einer Datei
echo gefragt werden, ob diese gelscht werden soll oder nicht!
echo.
echo Beispiele:
echo ~~~~~~~~~~
echo    	deinstal  c:\virscan
echo   		deinstal  c:\antilink /p
echo.
echo Weil das Installationsprogramm sich selbst lschen wrde, muss es auαerhalb
echo des Programmpaketes kopiert werden UND von dort aus gestartet werden!
echo Dies wird jetzt fr Sie erledigt.
echo (Voraussetzung ist das TEMP= (%TEMP%) gesetzt ist).
echo ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
pause

if exist %0.bat copy %0.bat %TEMP% /v > nul
if exist %0 copy %0 %TEMP% /v > nul
echo Geben Sie jetzt genau folgendes ein (s.o.):
echo %TEMP%\DEINSTAL [IhrVerzeichnis] [/p]
:the_end
